package com.mdd.admin.validate.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统配置搜素参数")
public class UserConfigSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户ID")
   private Integer userId;

   public Integer getUserId() {
      return this.userId;
   }

   public void setUserId(Integer userId) {
      this.userId = userId;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserConfigSearchValidate)) {
         return false;
      } else {
         UserConfigSearchValidate other = (UserConfigSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$userId = this.getUserId();
            Object other$userId = other.getUserId();
            if (this$userId == null) {
               if (other$userId != null) {
                  return false;
               }
            } else if (!this$userId.equals(other$userId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserConfigSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      return result;
   }

   public String toString() {
      return "UserConfigSearchValidate(userId=" + this.getUserId() + ")";
   }
}
